/**
 * Create new destination.
 */
function Destination()
{
    this.x = 0;
    this.y = 0;
    this.radius = 12;
}

/**
 * Check that the destination is focused or not.
 */
Destination.prototype.isFocused = function()
{
    var dx = this.x - mousePosition["x"];
    var dy = this.y - mousePosition["y"];
    var distance = Math.sqrt(dx * dx + dy * dy);
    if (distance < this.radius) {
        return true;
    }
    else {
        return false;
    }
}

/**
 * Render the destination.
 */
Destination.prototype.render = function(context)
{
    var radius = 12;

    context.save();
    context.translate(this.x, this.y);

    context.beginPath();
    context.arc(0, 0, radius, 0, 2 * Math.PI, false);

    if (this.isFocused() == false) {
        context.fillStyle = '#6666CC';
    }
    else {
        context.fillStyle = '#8888FF';
    }
    context.fill();
    context.lineWidth = 5;
    if (this.isFocused() == false) {
        context.strokeStyle = '#333388';
    }
    else {
        context.strokeStyle = '#6666FF';
    }
    context.stroke();
    context.closePath();

    context.restore();
}

/**
 * Set the position of the destination.
 */
Destination.prototype.setPosition = function(x, y)
{
    this.x = x;
    this.y = y;
}

